> For the complete documentation index, see [llms.txt](https://docs.trustlesswork.com/trustless-work/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trustlesswork.com/trustless-work/v1-es/introduccion/developer-resources/tipos/respuestas.md).

# Respuestas

### Entidad de Respuesta de escrow

```typescript
import { Date, EscrowType, Status } from "./types";
import {
  Flags,
  MultiReleaseEscrow,
  MultiReleaseMilestone,
  Roles,
  SingleReleaseEscrow,
  SingleReleaseMilestone,
  Trustline,
} from "./types.entity";

/**
 * Respuesta de escrow como fund, release, change, etc ...
 */
export type EscrowRequestResponse = {
  /**
   * Estado de la solicitud
   */
  status: Status;

  /**
   * Transacción sin firmar
   */
  unsignedTransaction?: string;
};

/**
 * Respuesta de Envío de Transacción
 */
export type SendTransactionResponse = {
  /**
   * Estado de la solicitud
   */
  status: Status;

  /**
   * Mensaje de la solicitud
   */
  message: string;
};

/**
 * Respuesta de Inicializar Escrow
 */
export type InitializeSingleReleaseEscrowResponse = EscrowRequestResponse & {
  /**
   * ID (dirección) que identifica el contrato de escrow
   */
  contractId: string;

  /**
   * Datos del escrow
   */
  escrow: SingleReleaseEscrow;

  /**
   * Mensaje de la solicitud
   */
  message: string;
};

/**
 * Respuesta de Inicializar Escrow de Lanzamiento Múltiple
 */
export type InitializeMultiReleaseEscrowResponse =
  InitializeSingleReleaseEscrowResponse & {
    /**
     * Datos del escrow
     */
    escrow: MultiReleaseEscrow;
  };

/**
 * Respuesta de Actualizar Escrow
 */
export type UpdateSingleReleaseEscrowResponse =
  InitializeSingleReleaseEscrowResponse;

/**
 * Respuesta de Actualizar Escrow de Lanzamiento Múltiple
 */
export type UpdateMultiReleaseEscrowResponse =
  InitializeMultiReleaseEscrowResponse;

/**
 * Respuesta de Obtener Saldos
 */
export type GetEscrowBalancesResponse = {
  /**
   * Dirección del escrow
   */
  address: string;

  /**
   * Saldo del escrow
   */
  balance: number;
};

/**
 * Respuesta de Obtener Escrows desde el Indexador
 */
export type GetEscrowsFromIndexerResponse = {
  signer?: string;
  contractId?: string;
  engagementId: string;
  title: string;
  roles: Roles;
  description: string;
  amount: number;
  platformFee: number;
  balance?: number;
  milestones:
    | SingleReleaseMilestone[]
    | (MultiReleaseMilestone[] & { disputeStartedBy: Roles });
  flags?: Flags;
  trustline: Trustline & { name: string };
  receiverMemo?: number;
  disputeStartedBy?: string;
  fundedBy?: string;
  isActive?: boolean;
  approverFunds?: string;
  receiverFunds?: string;
  user: string;
  createdAt: Date;
  updatedAt: Date;
  type: EscrowType;
};

/**
 * Respuesta para actualizar escrow desde el hash de la transacción
 */
export type UpdateFromTxHashResponse = {
  /**
   * Estado de la solicitud
   */
  status: "SUCCESS" | "FAILED";

  /**
   * Mensaje que describe el resultado
   */
  message: string;
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v1-es/introduccion/developer-resources/tipos/respuestas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
